[SCRIPT] sherpa.sh

This is the best place for community developers to publish their genius work. Your Apps enrich the QNAP Turbo NAS.
Post Reply
rma011db
Starting out
Posts: 11
Joined: Thu Jan 05, 2012 4:07 am

Re: [SCRIPT] sherpa.sh

Post by rma011db » Fri Jul 31, 2020 5:09 am

here's the platform log.

Code: Select all

[~] # cat /etc/platform.conf
Platform = ARM_AL
SUID = 64a21a5f41a6b3f537cb7c813aec7989

[DIMM 1]
valid = 1
channel_id = 1
slot_id = 1
slot_addr = 0x52
type = 11
speed = 5
module_type = 3
ecc = 0
size = 2048
manufaturer = Transcend Information

[FIRMWARE STORAGE]
DEVICE_NODE = /dev/mtd
FS_TYPE = ubifs
UPDATE_TMP_PARTITION = 5
FS_ACTIVE_PARTITION = 3
FS_RECOVERY_PID = -1

[CONFIG STORAGE]
DEVICE_NODE = /dev/mtd
FS_TYPE = ubifs
FS_ACTIVE_PARTITION = 6

[MISC]
DISPLAY_NAME = TS-231P3
I hope you can find a solution.

User avatar
OneCD
Ask me anything
Posts: 7580
Joined: Sun Aug 21, 2016 10:48 am
Location: "... there, behind that sofa!"

Re: [SCRIPT] sherpa.sh

Post by OneCD » Fri Jul 31, 2020 5:35 am

rma011db wrote:
Fri Jul 31, 2020 5:09 am

Code: Select all

Platform = ARM_AL
That's odd - your combination of 'armv7l' and 'ARM_AL' is already checked-for in sherpa. It's a valid combination used on other NAS models, which should select the Par2 x41 package.

Here's the relevant bit of detection code inside sherpa.sh:

Code: Select all

CalcNASQPKGArch()
    {

    # Decide which package arch is suitable for this NAS. Only needed for Stephane's packages.
    # creates a global constant: $NAS_QPKG_ARCH

    case $($UNAME_CMD -m) in
        x86_64)
            [[ ${NAS_FIRMWARE//.} -ge 430 ]] && NAS_QPKG_ARCH=x64 || NAS_QPKG_ARCH=x86
            ;;
        i686|x86)
            NAS_QPKG_ARCH=x86
            ;;
        armv7l)
            case $($GETCFG_CMD Platform -f $PLATFORM_PATHFILE) in
                ARM_MS)
                    NAS_QPKG_ARCH=x31
                    ;;
                ARM_AL)
                    NAS_QPKG_ARCH=x41
                    ;;
                *)
                    NAS_QPKG_ARCH=none
                    ;;
            esac
            ;;
        aarch64)
            NAS_QPKG_ARCH=a64
            ;;
        *)
            NAS_QPKG_ARCH=none
            ;;
    esac

    readonly NAS_QPKG_ARCH

    return 0

    }
Your NAS appears to be producing the correct strings, but they are not being recognised correctly.

I'll need to think how we can test this further (it's still too early in the morning and I haven't had enough coffee yet ;) ).

In the meantime, if you manually install the Par2 QPKG, then restart SABnzbd, you should be good-to-go:

Code: Select all

cd /share/Public
wget https://raw.githubusercontent.com/OneCDOnly/sherpa/master/QPKGs/Par2/Par2_0.8.1.0_arm-x41.qpkg
sh Par2_0.8.1.0_arm-x41.qpkg
/etc/init.d/sabnzbd3.sh restart

ImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImage

rma011db
Starting out
Posts: 11
Joined: Thu Jan 05, 2012 4:07 am

Re: [SCRIPT] sherpa.sh

Post by rma011db » Fri Jul 31, 2020 3:57 pm

OneCD wrote:
rma011db wrote:
Fri Jul 31, 2020 5:09 am

Code: Select all

Platform = ARM_AL
That's odd - your combination of 'armv7l' and 'ARM_AL' is already checked-for in sherpa. It's a valid combination used on other NAS models, which should select the Par2 x41 package.

Here's the relevant bit of detection code inside sherpa.sh:

Code: Select all

CalcNASQPKGArch()
    {

    # Decide which package arch is suitable for this NAS. Only needed for Stephane's packages.
    # creates a global constant: $NAS_QPKG_ARCH

    case $($UNAME_CMD -m) in
        x86_64)
            [[ ${NAS_FIRMWARE//.} -ge 430 ]] && NAS_QPKG_ARCH=x64 || NAS_QPKG_ARCH=x86
            ;;
        i686|x86)
            NAS_QPKG_ARCH=x86
            ;;
        armv7l)
            case $($GETCFG_CMD Platform -f $PLATFORM_PATHFILE) in
                ARM_MS)
                    NAS_QPKG_ARCH=x31
                    ;;
                ARM_AL)
                    NAS_QPKG_ARCH=x41
                    ;;
                *)
                    NAS_QPKG_ARCH=none
                    ;;
            esac
            ;;
        aarch64)
            NAS_QPKG_ARCH=a64
            ;;
        *)
            NAS_QPKG_ARCH=none
            ;;
    esac

    readonly NAS_QPKG_ARCH

    return 0

    }
Your NAS appears to be producing the correct strings, but they are not being recognised correctly.

I'll need to think how we can test this further (it's still too early in the morning and I haven't had enough coffee yet ;) ).

In the meantime, if you manually install the Par2 QPKG, then restart SABnzbd, you should be good-to-go:

Code: Select all

cd /share/Public
wget https://raw.githubusercontent.com/OneCDOnly/sherpa/master/QPKGs/Par2/Par2_0.8.1.0_arm-x41.qpkg
sh Par2_0.8.1.0_arm-x41.qpkg
/etc/init.d/sabnzbd3.sh restart
Works like a charm

Image


Thx.

boffo5454@gmail.com
New here
Posts: 2
Joined: Wed Mar 30, 2016 3:08 am

Re: [SCRIPT] sherpa.sh

Post by boffo5454@gmail.com » Sun Aug 02, 2020 7:55 am

Hi my Sabnzb stopped working after my last upgrade checking the sabnzb log file i found the following message:

= startup messages: '/share/CACHEDEV1_DATA/.qpkg/SABnzbdplus/sabnzbd.sh: line 162: /opt/bin/python2.7: No such file or directory'

I then tried to reinstall it using the script however I am getting the following error message

[ ^[[1;38;5;214mproc^[[0m ] calculating number and total size of IPKGs required ...
[ ^[[30;46mdbug^[[0m ] (II) IPKGs requested: ca-certificates coreutils-nice ffprobe gcc git git-http ionice less nano p7zip python3 python3-cryptography python3-dev python3-pip python3-pyopenssl unrar
^M[ ^[[1;31mfail^[[0m ] Could not open the IPKG list file

Any idea's?
Thanks in advance.

User avatar
OneCD
Ask me anything
Posts: 7580
Joined: Sun Aug 21, 2016 10:48 am
Location: "... there, behind that sofa!"

Re: [SCRIPT] sherpa.sh

Post by OneCD » Sun Aug 02, 2020 8:27 am

Hi boffo and welcome to the forum. :)
boffo5454@gmail.com wrote:
Sun Aug 02, 2020 7:55 am
Hi my Sabnzb stopped working after my last upgrade ...
What was upgraded? QTS? Something else? Please explain what happened, and what you did.
boffo5454@gmail.com wrote:
Sun Aug 02, 2020 7:55 am
... checking the sabnzb log file i found the following message:

= startup messages: '/share/CACHEDEV1_DATA/.qpkg/SABnzbdplus/sabnzbd.sh: line 162: /opt/bin/python2.7: No such file or directory'
Yes, Python 2.7.x is no longer available via Entware. :(
boffo5454@gmail.com wrote:
Sun Aug 02, 2020 7:55 am
I then tried to reinstall it using the script however I am getting the following error message
It's not possible to re-install the older 'SABnzbdplus' QPKG as this requires Python 2.7.x

So, you'll now need to install the newer 'SABnzbd' QPKG that runs on Python 3.8.3.

Then transfer across your config directory from the old QPKG to the new. Restart the new QPKG and you should now have a working SABnzbd again.
boffo5454@gmail.com wrote:
Sun Aug 02, 2020 7:55 am
[ ^[[1;38;5;214mproc^[[0m ] calculating number and total size of IPKGs required ...
[ ^[[30;46mdbug^[[0m ] (II) IPKGs requested: ca-certificates coreutils-nice ffprobe gcc git git-http ionice less nano p7zip python3 python3-cryptography python3-dev python3-pip python3-pyopenssl unrar
^M[ ^[[1;31mfail^[[0m ] Could not open the IPKG list file
Ah, that's a new error. Can you please post the entire [sherpa.debug.log] file?

edit: OK, I'm seeing the same thing here. I'll do some testing and post back when I figure out what's gone wrong.

ImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImage

User avatar
OneCD
Ask me anything
Posts: 7580
Joined: Sun Aug 21, 2016 10:48 am
Location: "... there, behind that sofa!"

Re: [SCRIPT] sherpa.sh

Post by OneCD » Sun Aug 02, 2020 8:40 am

rma011db wrote:
Fri Jul 31, 2020 3:57 pm
Works like a charm
And some good news. I just figured out why this wasn't working as expected. It should now be fixed in sherpa v200802 and later. :D

ImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImage

User avatar
OneCD
Ask me anything
Posts: 7580
Joined: Sun Aug 21, 2016 10:48 am
Location: "... there, behind that sofa!"

Re: [SCRIPT] sherpa.sh

Post by OneCD » Sun Aug 02, 2020 8:56 am

OneCD wrote:
Sun Aug 02, 2020 8:27 am
boffo5454@gmail.com wrote:
Sun Aug 02, 2020 7:55 am
[ ^[[1;38;5;214mproc^[[0m ] calculating number and total size of IPKGs required ...
[ ^[[30;46mdbug^[[0m ] (II) IPKGs requested: ca-certificates coreutils-nice ffprobe gcc git git-http ionice less nano p7zip python3 python3-cryptography python3-dev python3-pip python3-pyopenssl unrar
^M[ ^[[1;31mfail^[[0m ] Could not open the IPKG list file
Ah, that's a new error. Can you please post the entire [sherpa.debug.log] file?

edit: OK, I'm seeing the same thing here. I'll do some testing and post back when I figure out what's gone wrong.
... and fixed. Please download sherpa v200802b or later and try again.

ImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImage

rma011db
Starting out
Posts: 11
Joined: Thu Jan 05, 2012 4:07 am

Re: [SCRIPT] sherpa.sh

Post by rma011db » Sun Aug 02, 2020 3:32 pm

OneCD wrote:
OneCD wrote:
Sun Aug 02, 2020 8:27 am
boffo5454@gmail.com wrote:
Sun Aug 02, 2020 7:55 am
[ ^[[1;38;5;214mproc^[[0m ] calculating number and total size of IPKGs required ...
[ ^[[30;46mdbug^[[0m ] (II) IPKGs requested: ca-certificates coreutils-nice ffprobe gcc git git-http ionice less nano p7zip python3 python3-cryptography python3-dev python3-pip python3-pyopenssl unrar
^M[ ^[[1;31mfail^[[0m ] Could not open the IPKG list file
Ah, that's a new error. Can you please post the entire [sherpa.debug.log] file?

edit: OK, I'm seeing the same thing here. I'll do some testing and post back when I figure out what's gone wrong.
... and fixed. Please download sherpa v200802b or later and try again.
Great work. Thx.

boffo5454@gmail.com
New here
Posts: 2
Joined: Wed Mar 30, 2016 3:08 am

Re: [SCRIPT] sherpa.sh

Post by boffo5454@gmail.com » Sun Aug 02, 2020 5:03 pm

OneCD wrote:
Sun Aug 02, 2020 8:56 am
OneCD wrote:
Sun Aug 02, 2020 8:27 am
boffo5454@gmail.com wrote:
Sun Aug 02, 2020 7:55 am
[ ^[[1;38;5;214mproc^[[0m ] calculating number and total size of IPKGs required ...
[ ^[[30;46mdbug^[[0m ] (II) IPKGs requested: ca-certificates coreutils-nice ffprobe gcc git git-http ionice less nano p7zip python3 python3-cryptography python3-dev python3-pip python3-pyopenssl unrar
^M[ ^[[1;31mfail^[[0m ] Could not open the IPKG list file
Ah, that's a new error. Can you please post the entire [sherpa.debug.log] file?

edit: OK, I'm seeing the same thing here. I'll do some testing and post back when I figure out what's gone wrong.
... and fixed. Please download sherpa v200802b or later and try again.
Thanks great work fixing it so quickly

shingy
New here
Posts: 4
Joined: Mon Sep 26, 2011 1:53 pm

Re: [SCRIPT] sherpa.sh

Post by shingy » Sun Aug 02, 2020 7:36 pm

Tried to re-install over the current ver (failed to launch - can't reach the site).

Code: Select all

[ done ] downloaded QPKG (SickChill_200730.qpkg)
[ done ] 'Entware' package list is up-to-date
[ done ] no IPKGs are required
[ fail ] Download & install 'Python 3' modules failed ! result: [1]
[ fail ] 'SickChill' install failed! [22]
From the debug log, seems to to issues with SSL,

Code: Select all

[ proc ] downloading & installing 'Python 3' modules ...
[ fail ] Download & install 'Python 3' modules failed ! result: [1]
[ dbug ] (LL) ------------------------------------------------------------------------
[ dbug ] (LL) /share/Public/sherpa.tmp/Py3-modules.install.log
[ dbug ] (LL) ------------------------------------------------------------------------
[ dbug ] (LL) = command: '/opt/bin/pip3 install setuptools --disable-pip-version-check && /opt/bin/pip3 install   random_user_agent pygithub        --disable-pip-version-check'
[ dbug ] (LL) ! result: [1]
[ dbug ] (LL) = stdout begins next line: ▼
[ dbug ] (LL) pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.
[ dbug ] (LL) Collecting setuptools
[ dbug ] (LL) Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/setuptools/
[ dbug ] (LL) Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/setuptools/
[ dbug ] (LL) Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/setuptools/
[ dbug ] (LL) Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/setuptools/
[ dbug ] (LL) Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/setuptools/
[ dbug ] (LL) Could not fetch URL https://pypi.org/simple/setuptools/: There was a problem confirming the ssl certificate: HTTPSConnectionPool(host='pypi.org', port=443): Max retries exceeded with url: /simple/setuptools/ (Caused by SSLError("Can't connect to HTTPS URL because the SSL module is not available.")) - skipping
[ dbug ] (LL) Could not find a version that satisfies the requirement setuptools (from versions: )
[ dbug ] (LL) No matching distribution found for setuptools
[ dbug ] (LL) = stdout complete: ▲
[ dbug ] (LL) ------------------------------------------------------------------------
[ dbug ] (<<) InstallPy3Modules() [22]
[ dbug ] (<<) InstallQPKGIndepsAddons() [22]
[ dbug ] (>>) Cleanup()
[ dbug ] (<<) Cleanup() [22]
[ dbug ] (>>) ShowResult()
[ fail ] 'SickChill' install failed! [22]
[ dbug ] (vv) $suggest_issue [true]
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) SCRIPT:            finished: Sun Aug  2 21:19:55 EST 2020
[ dbug ] (**) SCRIPT:        elapsed time: 00h:00m:09s
Last edited by OneCD on Mon Aug 03, 2020 3:51 am, edited 1 time in total.
Reason: added code tags

User avatar
HermanW
Getting the hang of things
Posts: 77
Joined: Sun Apr 18, 2010 7:43 pm
Location: NL

Re: [SCRIPT] sherpa.sh

Post by HermanW » Sun Aug 02, 2020 8:08 pm

Hello OneCD,

Always followed the issues and support you give to the community with great respect. Unfortunately sabnzbd on my old NAS (TS-859 with firmware 4.2.6 20200611) stopped working. Installation of sabnzbd, sickchill, watcher were done in the past with sherpa script as well and I think I need your expertise.

In my attempt to repair my installation I started with the instructions at the base of this "sherpa subforum" and will share sherpa.debug.log as well:

Code: Select all

[~] # /etc/init.d/sabnzbd.sh start
= (SABnzbdplus) is not active
* updating (SABnzbdplus): OK
* updating language support (SABnzbdplus): Traceback (most recent call last):
  File "tools/make_mo.py", line 295, in <module>
    make_templates()
  File "tools/make_mo.py", line 217, in make_templates
    translate_tmpl("email", lng)
  File "tools/make_mo.py", line 193, in translate_tmpl
    with open(EMAIL_DIR + "/%s-en.tmpl" % prefix, "r", encoding="utf-8") as src:
TypeError: 'encoding' is an invalid keyword argument for this function
failed!
result=[1]
Email MO files
Compile locale/da/LC_MESSAGES/SABemail.mo
Compile locale/de/LC_MESSAGES/SABemail.mo
Compile locale/en/LC_MESSAGES/SABemail.mo
Compile locale/es/LC_MESSAGES/SABemail.mo
Compile locale/fi/LC_MESSAGES/SABemail.mo
Compile locale/fr/LC_MESSAGES/SABemail.mo
Compile locale/he/LC_MESSAGES/SABemail.mo
Compile locale/nb/LC_MESSAGES/SABemail.mo
Compile locale/nl/LC_MESSAGES/SABemail.mo
Compile locale/pl/LC_MESSAGES/SABemail.mo
Compile locale/pt_BR/LC_MESSAGES/SABemail.mo
Compile locale/ro/LC_MESSAGES/SABemail.mo
Compile locale/ru/LC_MESSAGES/SABemail.mo
Compile locale/sr/LC_MESSAGES/SABemail.mo
Compile locale/sv/LC_MESSAGES/SABemail.mo
Compile locale/zh_CN/LC_MESSAGES/SABemail.mo
Create email templates from MO files
Create email template for da
* updating (nzbToMedia): OK
* starting (SABnzbdplus): failed!
result=[1]
Sorry, requires Python 3.5 or above
You can read more at: https://sabnzbd.org/python3
[~] # cd /share/Public
[/share/Public] # curl -skLO https://git.io/sherpa.sh && chmod +x sherpa.sh
[/share/Public] # ./sherpa.sh SABnzbd
sherpa.sh (200802b)

[ done ] downloaded QPKG (Par2_0.8.1.0_x86.qpkg)
[ done ] downloaded QPKG (SABnzbd_200718c.qpkg)
[ done ] installed QPKG (Par2_0.8.1.0_x86.qpkg)                                                                              
[ done ] updated 'Entware' package list
[ done ] 13 IPKGs (31MB) to be downloaded
[ done ] downloaded & installed 13 IPKGs                                                                                     [ fail ] A required NAS system file is missing (/opt/bin/pip3)
* Ugh! The usual fix is to let sherpa reinstall Entware at least once.
        ./sherpa.sh ew
If it happens again after reinstalling Entware, please create a new issue for th                                             is on GitHub.
[ fail ] 'SABnzbd' install failed! [21]

* Please consider creating a new issue for this on GitHub:
        https://github.com/OneCDOnly/sherpa/issues

* Alternatively, post on the QNAP NAS Community Forum:
        https://forum.qnap.com/viewtopic.php?f=320&t=132373

* Remember to include a copy of your sherpa runtime debug log for analysis.

- To display the runtime debug log:
        cat sherpa.debug.log

[/share/Public] # ./sherpa.sh Entware
sherpa.sh (200802b)

[ done ] downloaded QPKG (Entware_1.02std.qpkg)
[ note ] Reinstalling Entware will revert all IPKGs to defaults and only those r                                             equired to support your sherpa apps will be reinstalled.
[ note ] The currently installed IPKG list will be saved to (/share/Public/Entwa                                             re.previously.installed.list)
[ warn ] Also, the SABnzbdplus and Headphones packages CANNOT BE REINSTALLED as                                              Python 2.7.16 is no-longer available.
[ quiz ] Press (y) if you agree to remove all current Entware IPKGs and their co                                             nfigs, or any other key to abort: y
[ proc ] uninstalling 'Entware' ...
[ done ] uninstalled 'Entware'
[ done ] installed QPKG (Entware_1.02std.qpkg)
[ done ] 'Entware' package list is up-to-date
[ done ] 52 IPKGs (22MB) to be downloaded
[ done ] downloaded & installed 52 IPKGs
[ done ] 'Watcher3' selected so downgraded Python 3 IPKGs
[ done ] downloaded & installed 'Python 3' modules
[ warn ] Could not restart service 'SickChill' [1]
[ done ] restarted service 'OWatcher3'
[ done ] 'Entware' has been successfully reinstalled!

- To display the runtime debug log:
        cat sherpa.debug.log

[/share/Public] #

Code: Select all

[ dbug ] (II) ========================================================================
[ dbug ] (**) SCRIPT:             started: Sun Aug 2 13:33:55 CEST 2020
[ dbug ] (**) SCRIPT:             version: 200802b
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (II) Markers: (**) detected, (II) information, (WW) warning, (LL) log file,
[ dbug ] (II)  (EE) error, (==) processing, (--) done, (>>) f entry, (<<) f exit,
[ dbug ] (II)  (vv) variable name & value, ($1) positional argument value.
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) NAS   :               model: TS-859
[ dbug ] (**) NAS   :                 RAM: 2045300 kB
[ dbug ] (**) NAS   :    firmware version: 4.2.6
[ dbug ] (**) NAS   :      firmware build: 20200611
[ dbug ] (**) NAS   :              kernel: 3.4.6 x86_64
[ dbug ] (**) NAS   :           OS uptime: 29 days
[ dbug ] (**) NAS   :         system load: 1 min=0.97, 5 min=1.07, 15 min=0.74
[ dbug ] (**) NAS   :                USER: admin
[ dbug ] (**) NAS   :                EUID: 0
[ dbug ] (**) NAS   :      default volume: /share/MD0_DATA
[ dbug ] (**) NAS   :               $PATH: /opt/bin:/opt/sbin:/bin:/sbin:/usr/bin:/usr
[ dbug ] (**) NAS   :                /opt: /share/MD0_DATA/.qpkg/Entware
[ dbug ] (**) NAS   :     /share/Download: MD0_DATA/Download
[ dbug ] (**) SCRIPT:  unparsed arguments: SABnzbd
[ dbug ] (**) SCRIPT:   app(s) to install: SABnzbd
[ dbug ] (**) SCRIPT: app(s) to uninstall
[ dbug ] (**) SCRIPT: app(s) to reinstall
[ dbug ] (**) SCRIPT:    app(s) to update
[ dbug ] (**) SCRIPT:    app(s) to backup
[ dbug ] (**) SCRIPT:   app(s) to restore
[ dbug ] (**) SCRIPT:           work path: /share/Public/sherpa.tmp
[ dbug ] (**) QPKG  :       download path: /share/Public/sherpa.tmp/qpkg-downloads
[ dbug ] (**) IPKG  :       download path: /share/Public/sherpa.tmp/ipkg-downloads
[ dbug ] (**) QPKG  :                arch: x86
[ dbug ] (**) QPKG  :   Entware installer: std
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (>>) DownloadQPKGs()
[ dbug ] (>>) DownloadQPKG()
[ proc ] downloading QPKG (Par2_0.8.1.0_x86.qpkg) ...
[ done ] downloaded QPKG (Par2_0.8.1.0_x86.qpkg)
[ dbug ] (<<) DownloadQPKG() [0]
[ dbug ] (>>) DownloadQPKG()
[ dbug ] (II) existing QPKG checksum correct (Par2_0.8.1.0_x86.qpkg)
[ dbug ] (<<) DownloadQPKG() [0]
[ dbug ] (>>) DownloadQPKG()
[ proc ] downloading QPKG (SABnzbd_200718c.qpkg) ...
[ done ] downloaded QPKG (SABnzbd_200718c.qpkg)
[ dbug ] (<<) DownloadQPKG() [0]
[ dbug ] (<<) DownloadQPKGs() [0]
[ dbug ] (>>) RemoveUnwantedQPKGs()
[ dbug ] (**) QPKG  :           'Optware': not installed [250]
[ dbug ] (**) QPKG  :        'Entware-3x': not installed [250]
[ dbug ] (**) QPKG  :        'Entware-ng': not installed [250]
[ dbug ] (<<) RemoveUnwantedQPKGs() [0]
[ dbug ] (>>) InstallQPKGIndeps()
[ dbug ] (--) adjusted $PATH
[ dbug ] (vv) $PATH [/opt/bin:/opt/sbin:/opt/bin:/opt/sbin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/bin/X11:/usr/local/sbin:/usr/local/bin]
[ dbug ] (>>) PatchBaseInit()
[ dbug ] (II) patch: do the "opt shuffle" - already done
[ dbug ] (<<) PatchBaseInit() [0]
[ dbug ] (<<) InstallQPKGIndeps() [0]
[ dbug ] (>>) InstallQPKGIndepsAddons()
[ proc ] installing QPKG (Par2_0.8.1.0_x86.qpkg) - this can take a while ...
[ done ] installed QPKG (Par2_0.8.1.0_x86.qpkg)
[ dbug ] (>>) InstallIPKGs()
[ dbug ] (>>) UpdateEntware()
[ proc ] updating 'Entware' package list ...
[ done ] updated 'Entware' package list
[ dbug ] (<<) UpdateEntware() [0]
[ dbug ] (>>) InstallIPKGBatch()
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) STAGE :   start stage timer
[ proc ] calculating number and total size of IPKGs required ...
[ dbug ] (II) IPKGs requested: ca-certificates coreutils-nice ffprobe gcc git git-http ionice jq less nano p7zip python3 python3-cryptography python3-dev python3-pip python3-pyopenssl unrar
[ dbug ] (==) finding IPKG dependencies ...
[ dbug ] (--) complete
[ dbug ] (II) found all IPKG dependencies in 13 iterations
[ dbug ] (II) IPKGs requested + dependencies: alsa-lib ar binutils ca-bundle ca-certificates ca-certs coreutils coreutils-nice ffprobe file gcc git git-http ionice jq lame-lib less libatomic libbfd libbz2 libc libcurl libdb47 libexpat libffi libffmpeg-full libgcc libgdbm libgmp libgnutls libiconv-full libintl-full liblzma libmagic libncurses libncursesw libnettle libopcodes libopenssl libopus libpthread librt libsqlite3 libssp libstdcpp libtirpc libuuid libx264 libxml2 nano objdump oniguruma p7zip python-pip-conf python3 python3-asyncio python3-base python3-cffi python3-cgi python3-cgitb python3-codecs python3-cryptography python3-ctypes python3-dbm python3-decimal python3-dev python3-distutils python3-email python3-gdbm python3-lib2to3 python3-light python3-logging python3-lzma python3-multiprocessing python3-ncurses python3-openssl python3-pip python3-pkg-resources python3-ply python3-pycparser python3-pydoc python3-pyopenssl python3-setuptools python3-six python3-sqlite3 python3-unittest python3-urllib python3-xml terminfo unrar zlib
[ dbug ] (**) STAGE :        elapsed time: 00h:00m:05s
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (==) excluding IPKGs already installed ...
[ dbug ] (--) complete
[ dbug ] (II) IPKGs to download: libatomic libgmp libgnutls libnettle python3-cffi python3-cryptography python3-dev python3-lib2to3 python3-pkg-resources python3-ply python3-pycparser python3-pyopenssl python3-six
[ dbug ] (==) calculating size of IPKGs to download ...
[ dbug ] (--) complete
[ dbug ] (vv) $IPKG_download_size [30532932]
[ done ] 13 IPKGs (31MB) to be downloaded
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) STAGE :   start stage timer
[ proc ] downloading & installing 13 IPKGs ...
[ done ] downloaded & installed 13 IPKGs
[ dbug ] (**) STAGE :        elapsed time: 00h:00m:22s
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (<<) InstallIPKGBatch() [0]
[ dbug ] (<<) InstallIPKGs() [0]
[ dbug ] (>>) InstallPy3Modules()
[ fail ] A required NAS system file is missing (/opt/bin/pip3)
[ dbug ] (<<) InstallQPKGIndepsAddons() [21]
[ dbug ] (>>) Cleanup()
[ dbug ] (<<) Cleanup() [21]
[ dbug ] (>>) ShowResult()
[ fail ] 'SABnzbd' install failed! [21]
[ dbug ] (vv) $suggest_issue [true]
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) SCRIPT:            finished: Sun Aug  2 13:34:34 CEST 2020
[ dbug ] (**) SCRIPT:        elapsed time: 00h:00m:39s
[ dbug ] (II) ========================================================================
[ dbug ] (<<) ShowResult() [21]
[ dbug ] (II) ========================================================================
[ dbug ] (**) SCRIPT:             started: Sun Aug 2 13:36:34 CEST 2020
[ dbug ] (**) SCRIPT:             version: 200802b
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (II) Markers: (**) detected, (II) information, (WW) warning, (LL) log file,
[ dbug ] (II)  (EE) error, (==) processing, (--) done, (>>) f entry, (<<) f exit,
[ dbug ] (II)  (vv) variable name & value, ($1) positional argument value.
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) NAS   :               model: TS-859
[ dbug ] (**) NAS   :                 RAM: 2045300 kB
[ dbug ] (**) NAS   :    firmware version: 4.2.6
[ dbug ] (**) NAS   :      firmware build: 20200611
[ dbug ] (**) NAS   :              kernel: 3.4.6 x86_64
[ dbug ] (**) NAS   :           OS uptime: 29 days
[ dbug ] (**) NAS   :         system load: 1 min=0.97, 5 min=1.08, 15 min=0.80
[ dbug ] (**) NAS   :                USER: admin
[ dbug ] (**) NAS   :                EUID: 0
[ dbug ] (**) NAS   :      default volume: /share/MD0_DATA
[ dbug ] (**) NAS   :               $PATH: /opt/bin:/opt/sbin:/bin:/sbin:/usr/bin:/usr
[ dbug ] (**) NAS   :                /opt: /share/MD0_DATA/.qpkg/Entware
[ dbug ] (**) NAS   :     /share/Download: MD0_DATA/Download
[ dbug ] (**) SCRIPT:  unparsed arguments: Entware
[ dbug ] (**) SCRIPT:   app(s) to install: Entware
[ dbug ] (**) SCRIPT: app(s) to uninstall
[ dbug ] (**) SCRIPT: app(s) to reinstall
[ dbug ] (**) SCRIPT:    app(s) to update
[ dbug ] (**) SCRIPT:    app(s) to backup
[ dbug ] (**) SCRIPT:   app(s) to restore
[ dbug ] (**) SCRIPT:           work path: /share/Public/sherpa.tmp
[ dbug ] (**) QPKG  :       download path: /share/Public/sherpa.tmp/qpkg-downloads
[ dbug ] (**) IPKG  :       download path: /share/Public/sherpa.tmp/ipkg-downloads
[ dbug ] (**) QPKG  :                arch: x86
[ dbug ] (**) QPKG  :   Entware installer: std
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (>>) DownloadQPKGs()
[ dbug ] (>>) DownloadQPKG()
[ proc ] downloading QPKG (Entware_1.02std.qpkg) ...
[ done ] downloaded QPKG (Entware_1.02std.qpkg)
[ dbug ] (<<) DownloadQPKG() [0]
[ dbug ] (<<) DownloadQPKGs() [0]
[ dbug ] (>>) RemoveUnwantedQPKGs()
[ dbug ] (**) QPKG  :           'Optware': not installed [250]
[ dbug ] (**) QPKG  :        'Entware-3x': not installed [250]
[ dbug ] (**) QPKG  :        'Entware-ng': not installed [250]
[ note ] Reinstalling Entware will revert all IPKGs to defaults and only those required to support your sherpa apps will be reinstalled.
[ note ] The currently installed IPKG list will be saved to (/share/Public/Entware.previously.installed.list)
[ warn ] Also, the SABnzbdplus and Headphones packages CANNOT BE REINSTALLED as Python 2.7.16 is no-longer available.
[ quiz ] Press (y) if you agree to remove all current Entware IPKGs and their configs, or any other key to abort
[ dbug ] (vv) $response [y]
[ dbug ] (--) saved current Entware IPKG list to (/share/Public/Entware.previously.installed.list)
[ proc ] uninstalling 'Entware' ...
[ done ] uninstalled 'Entware'
[ dbug ] (<<) RemoveUnwantedQPKGs() [0]
[ dbug ] (>>) InstallQPKGIndeps()
[ proc ] installing QPKG (Entware_1.02std.qpkg) - this can take a while ...
[ done ] installed QPKG (Entware_1.02std.qpkg)
[ dbug ] (--) adjusted $PATH
[ dbug ] (vv) $PATH [/opt/bin:/opt/sbin:/opt/bin:/opt/sbin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/bin/X11:/usr/local/sbin:/usr/local/bin]
[ dbug ] (>>) PatchBaseInit()
[ dbug ] (--) patch: do the "opt shuffle"
[ dbug ] (<<) PatchBaseInit() [0]
[ dbug ] (<<) InstallQPKGIndeps() [0]
[ dbug ] (>>) InstallQPKGIndepsAddons()
[ dbug ] (>>) InstallIPKGs()
[ dbug ] (>>) UpdateEntware()
[ dbug ] (II) 'Entware' package list was updated less than 60 minutes ago
[ done ] 'Entware' package list is up-to-date
[ dbug ] (<<) UpdateEntware() [0]
[ dbug ] (>>) InstallIPKGBatch()
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) STAGE :   start stage timer
[ proc ] calculating number and total size of IPKGs required ...
[ dbug ] (II) IPKGs requested: ca-certificates git git-http jq less nano python3 python3-pip
[ dbug ] (==) finding IPKG dependencies ...
[ dbug ] (--) complete
[ dbug ] (II) found all IPKG dependencies in 13 iterations
[ dbug ] (II) IPKGs requested + dependencies: ca-bundle ca-certificates ca-certs file git git-http jq less libbz2 libc libcurl libdb47 libexpat libffi libgcc libgdbm liblzma libmagic libncurses libncursesw libopenssl libpthread librt libsqlite3 libssp libtirpc libuuid libxml2 nano oniguruma python-pip-conf python3 python3-asyncio python3-base python3-cgi python3-cgitb python3-codecs python3-ctypes python3-dbm python3-decimal python3-distutils python3-email python3-gdbm python3-light python3-logging python3-lzma python3-multiprocessing python3-ncurses python3-openssl python3-pip python3-pkg-resources python3-pydoc python3-setuptools python3-sqlite3 python3-unittest python3-urllib python3-xml terminfo zlib
[ dbug ] (**) STAGE :        elapsed time: 00h:00m:03s
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (==) excluding IPKGs already installed ...
[ dbug ] (--) complete
[ dbug ] (II) IPKGs to download: ca-bundle ca-certificates file git git-http jq less libbz2 libcurl libdb47 libexpat libffi libgdbm liblzma libmagic libncurses libncursesw libopenssl libsqlite3 libtirpc libuuid libxml2 nano oniguruma python-pip-conf python3 python3-asyncio python3-base python3-cgi python3-cgitb python3-codecs python3-ctypes python3-dbm python3-decimal python3-distutils python3-email python3-gdbm python3-light python3-logging python3-lzma python3-multiprocessing python3-ncurses python3-openssl python3-pip python3-pkg-resources python3-pydoc python3-setuptools python3-sqlite3 python3-unittest python3-urllib python3-xml zlib
[ dbug ] (==) calculating size of IPKGs to download ...
[ dbug ] (--) complete
[ dbug ] (vv) $IPKG_download_size [22378267]
[ done ] 52 IPKGs (22MB) to be downloaded
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) STAGE :   start stage timer
[ proc ] downloading & installing 52 IPKGs ...
[ done ] downloaded & installed 52 IPKGs
[ dbug ] (**) STAGE :        elapsed time: 00h:00m:26s
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (<<) InstallIPKGBatch() [0]
[ dbug ] (<<) InstallIPKGs() [0]
[ dbug ] (>>) DowngradePy3()
[ proc ] 'Watcher3' selected so downgrading Python 3 IPKGs ...
[ done ] 'Watcher3' selected so downgraded Python 3 IPKGs
[ dbug ] (<<) DowngradePy3() [0]
[ dbug ] (>>) InstallPy3Modules()
[ proc ] downloading & installing 'Python 3' modules ...
[ done ] downloaded & installed 'Python 3' modules
[ dbug ] (<<) InstallPy3Modules() [0]
[ dbug ] (>>) RestartAllDepQPKGs()
[ proc ] restarting service 'SickChill' ...
[ warn ] Could not restart service 'SickChill' [1]
= command: '/share/MD0_DATA/.qpkg/SickChill/sickchill.sh restart'
! result: [1]
= stdout begins next line: ▼
= (SickChill) is active
* stopping (SickChill) with SIGTERM: waiting for upto 100 seconds: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, OK
* updating (SickChill): OK
* starting (SickChill): failed!
result=[127]
/share/MD0_DATA/.qpkg/SickChill/sickchill.sh: line 129: /opt/bin/python2.7: No such file or directory
= stdout complete: ▲
[ proc ] restarting service 'OWatcher3' ...
[ done ] restarted service 'OWatcher3'
[ dbug ] (<<) RestartAllDepQPKGs() [0]
[ dbug ] (<<) InstallQPKGIndepsAddons() [0]
[ dbug ] (>>) InstallTargetQPKG()
[ dbug ] (<<) InstallTargetQPKG() [0]
[ dbug ] (>>) Cleanup()
[ dbug ] (<<) Cleanup() [0]
[ dbug ] (>>) ShowResult()
[ done ] 'Entware' has been successfully reinstalled! 
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) SCRIPT:            finished: Sun Aug  2 13:39:29 CEST 2020
[ dbug ] (**) SCRIPT:        elapsed time: 00h:02m:55s
[ dbug ] (II) ========================================================================
[ dbug ] (<<) ShowResult() [0]
Hopefully you have time to help to fix this old config.

NAS: TS-859 Pro (RAM upgrade -> 2GB)
F/W: 4.2.6 build 20200611
QPKG: Git, Entware, Python, SABnzbd, SickChill, Watcher3 (Sherpa)

"Un intelectual rezolva problemele. Un geniu le evita!" (A. EINSTEIN)

User avatar
OneCD
Ask me anything
Posts: 7580
Joined: Sun Aug 21, 2016 10:48 am
Location: "... there, behind that sofa!"

Re: [SCRIPT] sherpa.sh

Post by OneCD » Mon Aug 03, 2020 3:53 am

shingy wrote:
Sun Aug 02, 2020 7:36 pm
From the debug log, seems to to issues with SSL,
Can you please reinstall Entware?

Code: Select all

./sherpa.sh ew
... then reinstall SickChill:

Code: Select all

./sherpa.sh sc

ImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImage

User avatar
OneCD
Ask me anything
Posts: 7580
Joined: Sun Aug 21, 2016 10:48 am
Location: "... there, behind that sofa!"

Re: [SCRIPT] sherpa.sh

Post by OneCD » Mon Aug 03, 2020 4:05 am

HermanW wrote:
Sun Aug 02, 2020 8:08 pm
Hopefully you have time to help to fix this old config.
No worries. :)

OK, you've done the right thing by reinstalling Entware, and you'll now need to also reinstall SickChill. The SickChill package has been upgraded to use Python 3 instead of the old Python 2.7.

Code: Select all

./sherpa.sh sc
Your new 'SABnzbd' package uses Python 3 too but is created as a separate package, not a replacement for the original 'SABnzbdplus'. It appears to have installed correctly, so suggest backing up your old 'SABnzbdplus' config with:

Code: Select all

/etc/init.d/sabnzbd2.sh backup
... then renaming the backup file:

Code: Select all

cd $(getcfg SHARE_DEF defVolMP -f /etc/config/def_share.info)/.qpkg_config_backup
mv SABnzbdplus.config.tar.gz SABnzbd.config.tar.gz
... then restoring that config into 'SABnzbd':

Code: Select all

/etc/init.d/sabnzbd3.sh restore
Once you've confirmed the new 'SABnzbd' package is working correctly with your original settings, you can uninstall the 'SABnzbdplus' QPKG via your App Center.

BTW: the SABnzbd 3 application has just been released as "stable". So, you'll need to download the most recent sherpa.sh and reinstall 'SABnzbd', then clean your package installation:

Code: Select all

./sherpa.sh sab
/etc/init.d/sabnzbd3.sh clean

ImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImage

walgarch
New here
Posts: 5
Joined: Tue Jul 07, 2015 10:07 pm

Re: [SCRIPT] sherpa.sh

Post by walgarch » Mon Aug 03, 2020 3:40 pm

I'm having some trouble with installing SABnzbd+. Not sure where to start :(

Code: Select all

[ dbug ] (II) ========================================================================
[ dbug ] (**) SCRIPT:             started: Mon Aug 3 17:37:46 EST 2020
[ dbug ] (**) SCRIPT:             version: 200803b
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (II) Markers: (**) detected, (II) information, (WW) warning, (LL) log file,
[ dbug ] (II)  (EE) error, (==) processing, (--) done, (>>) f entry, (<<) f exit,
[ dbug ] (II)  (vv) variable name & value, ($1) positional argument value.
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) NAS   :               model: TS-251, QNAP Systems, Inc.
[ dbug ] (**) NAS   :                 RAM: 8048984 kB
[ dbug ] (**) NAS   :    firmware version: 4.4.3
[ dbug ] (**) NAS   :      firmware build: 20200729
[ dbug ] (**) NAS   :              kernel: 4.14.24-qnap x86_64
[ dbug ] (**) NAS   :           OS uptime: 1 day
[ dbug ] (**) NAS   :         system load: 1 min=2.49, 5 min=1.96, 15 min=1.59
[ dbug ] (**) NAS   :                USER: admin
[ dbug ] (**) NAS   :                EUID: 0
[ dbug ] (**) NAS   :      default volume: /share/CACHEDEV1_DATA
[ dbug ] (**) NAS   :               $PATH: /opt/bin:/opt/sbin:/share/CACHEDEV2_DATA/.q
[ dbug ] (**) NAS   :                /opt: /share/CACHEDEV1_DATA/.qpkg/Entware
[ dbug ] (**) NAS   :     /share/Download: CACHEDEV1_DATA/Download
[ dbug ] (**) SCRIPT:  unparsed arguments: SABnzbd
[ dbug ] (**) SCRIPT:   app(s) to install: SABnzbd
[ dbug ] (**) SCRIPT: app(s) to uninstall
[ dbug ] (**) SCRIPT: app(s) to reinstall
[ dbug ] (**) SCRIPT:    app(s) to update
[ dbug ] (**) SCRIPT:    app(s) to backup
[ dbug ] (**) SCRIPT:   app(s) to restore
[ dbug ] (**) SCRIPT:           work path: /share/Public/sherpa.tmp
[ dbug ] (**) QPKG  :       download path: /share/Public/sherpa.tmp/qpkg-downloads
[ dbug ] (**) IPKG  :       download path: /share/Public/sherpa.tmp/ipkg-downloads
[ dbug ] (**) QPKG  :                arch: x64
[ dbug ] (**) QPKG  :   Entware installer: std
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (>>) DownloadQPKGs()
[ dbug ] (>>) DownloadQPKG()
[ proc ] downloading QPKG (SABnzbd_200803.qpkg) ...
[ done ] downloaded QPKG (SABnzbd_200803.qpkg)
[ dbug ] (<<) DownloadQPKG() [0]
[ dbug ] (<<) DownloadQPKGs() [0]
[ dbug ] (>>) RemoveUnwantedQPKGs()
[ dbug ] (**) QPKG  :           'Optware': not installed [250]
[ dbug ] (**) QPKG  :        'Entware-3x': not installed [250]
[ dbug ] (**) QPKG  :        'Entware-ng': not installed [250]
[ dbug ] (<<) RemoveUnwantedQPKGs() [0]
[ dbug ] (>>) InstallQPKGIndeps()
[ dbug ] (--) adjusted $PATH
[ dbug ] (vv) $PATH [/opt/bin:/opt/sbin:/opt/bin:/opt/sbin:/share/CACHEDEV2_DATA/.qpkg/container-station/bin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/bin/X11:/usr/local/sbin:/usr/local/bin]
[ dbug ] (>>) PatchBaseInit()
[ dbug ] (II) patch: do the "opt shuffle" - already done
[ dbug ] (<<) PatchBaseInit() [0]
[ dbug ] (<<) InstallQPKGIndeps() [0]
[ dbug ] (>>) InstallQPKGIndepsAddons()
[ dbug ] (>>) InstallIPKGs()
[ dbug ] (>>) UpdateEntware()
[ dbug ] (II) 'Entware' package list was updated less than 60 minutes ago
[ done ] 'Entware' package list is up-to-date
[ dbug ] (<<) UpdateEntware() [0]
[ dbug ] (>>) InstallIPKGBatch()
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) STAGE :   start stage timer
[ proc ] calculating number and total size of IPKGs required ...
[ dbug ] (II) IPKGs requested: ca-certificates coreutils-nice ffprobe gcc git git-http ionice less nano p7zip python3 python3-cryptography python3-dev python3-pip python3-pyopenssl unrar
[ dbug ] (==) finding IPKG dependencies ...
[ dbug ] (--) complete
[ dbug ] (II) found all IPKG dependencies in 13 iterations
[ dbug ] (II) IPKGs requested + dependencies: alsa-lib ar binutils ca-bundle ca-certificates ca-certs coreutils coreutils-nice ffprobe file gcc git git-http ionice lame-lib less libatomic libbfd libbz2 libc libcurl libdb47 libexpat libffi libffmpeg-full libgcc libgdbm libgmp libgnutls libiconv-full libintl-full liblzma libmagic libncurses libncursesw libnettle libopcodes libopenssl libopus libpthread librt libsqlite3 libssp libstdcpp libtirpc libuuid libx264 libxml2 nano objdump p7zip python-pip-conf python3 python3-asyncio python3-base python3-cffi python3-cgi python3-cgitb python3-codecs python3-cryptography python3-ctypes python3-dbm python3-decimal python3-dev python3-distutils python3-email python3-gdbm python3-lib2to3 python3-light python3-logging python3-lzma python3-multiprocessing python3-ncurses python3-openssl python3-pip python3-pkg-resources python3-ply python3-pycparser python3-pydoc python3-pyopenssl python3-setuptools python3-six python3-sqlite3 python3-unittest python3-urllib python3-xml terminfo unrar zlib
[ dbug ] (**) STAGE :        elapsed time: 00h:00m:02s
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (==) excluding IPKGs already installed ...
[ dbug ] (--) complete
[ dbug ] (II) IPKGs to download:
[ done ] no IPKGs are required
[ dbug ] (<<) InstallIPKGBatch() [0]
[ dbug ] (<<) InstallIPKGs() [0]
[ dbug ] (>>) InstallPy3Modules()
[ proc ] downloading & installing 'Python 3' modules ...
[ fail ] Download & install 'Python 3' modules failed ! result: [1]
[ dbug ] (LL) ------------------------------------------------------------------------
[ dbug ] (LL) /share/Public/sherpa.tmp/Py3-modules.install.log
[ dbug ] (LL) ------------------------------------------------------------------------
[ dbug ] (LL) = command: '/opt/bin/pip3 install setuptools --disable-pip-version-check && /opt/bin/pip3 install   sabyenc3 cheetah3 feedparser configobj cherrypy chardet      --disable-pip-version-check && /opt/bin/pip3 install --force-reinstall --ignore-installed --no-binary :all: sabyenc3 --disable-pip-version-check'
[ dbug ] (LL) ! result: [1]
[ dbug ] (LL) = stdout begins next line: ▼
[ dbug ] (LL) Requirement already satisfied: setuptools in /share/CACHEDEV1_DATA/.qpkg/Entware/lib/python3.8/site-packages (41.2.0)
[ dbug ] (LL) Collecting sabyenc3
[ dbug ] (LL) Using cached https://files.pythonhosted.org/packages/72/ea/d2de7895663bbe870fd74314ad513c4ff880b22df7739d29d58a4b4cb6dd/sabyenc3-4.0.2-cp38-cp38-manylinux1_x86_64.whl
[ dbug ] (LL) Collecting cheetah3
[ dbug ] (LL) Using cached https://files.pythonhosted.org/packages/8e/bc/47cde6067d2e40a2770216e2a84d591ca05351f6d7b916f9afecd9a90a4f/Cheetah3-3.2.5-cp38-cp38-manylinux1_x86_64.whl
[ dbug ] (LL) Collecting feedparser
[ dbug ] (LL) Using cached https://files.pythonhosted.org/packages/91/d8/7d37fec71ff7c9dbcdd80d2b48bcdd86d6af502156fc93846fb0102cb2c4/feedparser-5.2.1.tar.bz2
[ dbug ] (LL) ERROR: Command errored out with exit status 1:
[ dbug ] (LL) command: /opt/bin/python3 -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/share/CACHEDEV1_DATA/.qpkg/Entware/tmp/pip-install-_kh7u4q3/feedparser/setup.py'"'"'; __file__='"'"'/share/CACHEDEV1_DATA/.qpkg/Entware/tmp/pip-install-_kh7u4q3/feedparser/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base pip-egg-info
[ dbug ] (LL) cwd: /share/CACHEDEV1_DATA/.qpkg/Entware/tmp/pip-install-_kh7u4q3/feedparser/
[ dbug ] (LL) Complete output (7 lines):
[ dbug ] (LL) Traceback (most recent call last):
[ dbug ] (LL) File "<string>", line 1, in <module>
[ dbug ] (LL) File "/opt/lib/python3.8/site-packages/setuptools/__init__.py", line 20, in <module>
[ dbug ] (LL) File "/opt/lib/python3.8/site-packages/setuptools/dist.py", line 35, in <module>
[ dbug ] (LL) File "/opt/lib/python3.8/site-packages/setuptools/windows_support.py", line 2, in <module>
[ dbug ] (LL) File "/opt/lib/python3.8/ctypes/__init__.py", line 7, in <module>
[ dbug ] (LL) ImportError: libffi.so.7: cannot open shared object file: No such file or directory
[ dbug ] (LL) ----------------------------------------
[ dbug ] (LL) ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
[ dbug ] (LL) = stdout complete: ▲
[ dbug ] (LL) ------------------------------------------------------------------------
[ dbug ] (<<) InstallPy3Modules() [22]
[ dbug ] (<<) InstallQPKGIndepsAddons() [22]
[ dbug ] (>>) Cleanup()
[ dbug ] (<<) Cleanup() [22]
[ dbug ] (>>) ShowResult()
[ fail ] 'SABnzbd' install failed! [22]
[ dbug ] (vv) $suggest_issue [true]
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) SCRIPT:            finished: Mon Aug  3 17:37:57 EST 2020
[ dbug ] (**) SCRIPT:        elapsed time: 00h:00m:11s
[ dbug ] (II) ========================================================================
[ dbug ] (<<) ShowResult() [22]

User avatar
OneCD
Ask me anything
Posts: 7580
Joined: Sun Aug 21, 2016 10:48 am
Location: "... there, behind that sofa!"

Re: [SCRIPT] sherpa.sh

Post by OneCD » Mon Aug 03, 2020 4:11 pm

walgarch wrote:
Mon Aug 03, 2020 3:40 pm
I'm having some trouble with installing SABnzbd+. Not sure where to start :(
Let's start by reinstalling Entware:

Code: Select all

./sherpa.sh ew

ImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImage

Post Reply

Return to “Community Apps”